Name:		projectM-pulseaudio
Version:	1.2.0
Release:	3%{?dist}
Summary:	The projectM visualization plugin for pulseaudio
Group:		Applications/Multimedia
License:	GPLv2+ and MIT
URL:		http://projectm.sourceforge.net/
Source0:	http://downloads.sourceforge.net/projectm/%{name}-%{version}.tar.bz2
#Correct syntax of .desktop file
Patch0:		projectM-pulseaudio.desktop.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	cmake, pulseaudio-libs-devel, libprojectM-qt-devel, desktop-file-utils

%description	
This package allows the use of the projectM visualization plugin through any
pulseaudio compatible applications.

%prep
%setup -q
%patch0 -p1

%build
%cmake .
make %{?_smp_mflags} VERBOSE=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc  ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Nov 6 2008 Jameson Pugh (imntreal@gmail.com) - 1.2.0-3
- Cleaned up Requires and BuildRequires
- Removed line to delete .la files
- Fixed up the desktop file

* Thu Nov 6 2008 Jameson Pugh (imntreal@gmail.com) - 1.2.0-2
- Fixed SOURCE0
- Added VERBOSE=1 to make line
- Added cmake to BR line

* Wed Sep 3 2008 Jameson Pugh <imntreal@gmail.com> - 1.2.0-1
- Initial public release of the package
